import Vue from 'vue'
import AuiM from '@agree/aui-m'
Vue.use(AuiM)

let contexts = require.context('./src/components', true, /\.vue$/)

const install = Vue => {
    contexts.keys().forEach(component => {
        let componentEntity = contexts(component).default
        // 使用内置的组件名称 进行全局组件注册
        Vue.component(componentEntity.name, componentEntity)
    })
    console.log('加载FC组件完成');
}

//引用文件方式时，会使用，类似jquery方式引入
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

//完整导出
export default install
// module.exports = {
//     install
// }